// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_FNumericProperty.h"
#include "UObject/UnrealType.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_FNumericProperty::SCW_FNumericProperty(FNumericProperty* InNumericProperty) : SCW_FProperty(InNumericProperty), NumericProperty(InNumericProperty)
{

}

bool SCW_FNumericProperty::IsFloatingPoint() const
{
	return NumericProperty->IsFloatingPoint();
}

bool SCW_FNumericProperty::IsInteger() const
{
	return NumericProperty->IsInteger();
}

FNumericProperty* SCW_FNumericProperty::ToFNumericProperty() const
{
	return NumericProperty;
}
